Subject: Re: bug#66636: Move lexical-binding warning from checkdoc to byte-compiler

From: Stefan Kangas <[email-masked]>
Date: Fri, 20 Oct 2023 13:55:27 -0700

Mattias Engdegård <[email-masked]> writes:

> (I always found this traditional first line to be somewhat of an
> uneasy composite: too often it forces unnatural brevity on the
> description, or becomes so long that it wraps. I'd favour dedicating
> the first line to the -*- cookie alone.)

I mostly agree, but removing the traditional file name is another
reasonable way to make the line a bit less unwieldy.  I'd be even more
inclined to make a change like that, myself.

Going on a tangent here, but I always assumed that the file name on the
first line was there for hysterical raisins, going back to the good old
days when people had to resort to sharing ELisp hacks on Usenet.  These
days, with GNU ELPA and git repositories, there is no risk for any
confusion about the name of a file.

I might be wrong though.  Perhaps it was always redundant?